petsc-3.6.2 2015-10-02
Report Typos and Errors

# PCSPAISetSp

specify a symmetric matrix sparsity pattern in the SPAI preconditioner

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCSPAISetSp(PC pc,int sp)

### Input Parameters

| pc | - the preconditioner
| n | - 0 or 1

Notes: If A has a symmetric nonzero pattern use -sp 1 to improve performance by eliminating some communication in the parallel version. Even if A does not have a symmetric nonzero pattern -sp 1 may well lead to good results, but the code will not follow the published SPAI algorithm exactly.

### See Also

PCSPAI, PCSetType()

Level:intermediate
Location:src/ksp/pc/impls/spai/ispai.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages